Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::TermVectorEntryFreqSortedComparator Class Reference

Compares `TermVectorEntry`s first by frequency and then by the term (case-sensitive) More...

`#include <TermVectorEntryFreqSortedComparator.h>`

Inheritance diagram for Lucene::TermVectorEntryFreqSortedComparator:

## Public Member Functions

virtual | ~TermVectorEntryFreqSortedComparator ()
virtual String | getClassName ()
boost::shared_ptr< TermVectorEntryFreqSortedComparator > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static bool | compare (const TermVectorEntryPtr &first, const TermVectorEntryPtr &second)

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Compares `TermVectorEntry`s first by frequency and then by the term (case-sensitive)

## Constructor & Destructor Documentation

## ◆ ~TermVectorEntryFreqSortedComparator()

virtual Lucene::TermVectorEntryFreqSortedComparator::~TermVectorEntryFreqSortedComparator | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::TermVectorEntryFreqSortedComparator::_getClassName | ( |  | ) |

inline static

## ◆ compare()

static bool Lucene::TermVectorEntryFreqSortedComparator::compare | ( | const TermVectorEntryPtr & | first,
|  | const TermVectorEntryPtr & | second
| ) |  |

static

## ◆ getClassName()

virtual String Lucene::TermVectorEntryFreqSortedComparator::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< TermVectorEntryFreqSortedComparator > Lucene::TermVectorEntryFreqSortedComparator::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- TermVectorEntryFreqSortedComparator.h

clucene.sourceforge.net